Bug 1018054 - when do operation on an app under another app's repo dir which not belong to the same domain, 'Domain not found' message show up
when do operation on an app under another app's repo dir which not belong t...
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-10-11 01:51 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-06 13:50:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-10-11 01:51:50 EDT
Description of problem:
when run `rhc domain show -l $login2` under an app repo dir of $login1, 'Domain not found.' show up.

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:
1.use $login1 create a domain named "domain1"
rhc domain create "domain1" -l $login1
2.create a app and git clone to local dir with $login1
rhc app create $app1 php-5.3 -l $login1
3.use $$login2 create a domain named "domain2"
rhc domain create "domain2" -l $login2
4.run `rhc domain show -l $login2` under $app1 repo dir
5.check the output message

Actual results:
DEBUG: Using config file C:/Users/window7/.openshift/express.conf
DEBUG: Git config 'git config --get rhc.app-id' returned '52576b392587c86d120001
DEBUG: Git config 'git config --get rhc.app-name' returned 'py33'
DEBUG: Git config 'git config --get rhc.domain-name' returned 'migrate'
DEBUG: Authenticating with RHC::Auth::Basic
DEBUG: Connecting to https://stg.openshift.redhat.com/broker/rest/api
DEBUG: Finding domain migrate
DEBUG: Client supports API versions 1.1, 1.2, 1.3, 1.4, 1.5
DEBUG: Created new httpclient
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/api
DEBUG:    code 200 2953 ms
DEBUG: Server supports API versions 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6
DEBUG:    Using API version 1.5
DEBUG: Client API version 1.5 is not current. Refetching API
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/api
DEBUG:    code 200  296 ms
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/domain/migrate
DEBUG:    code 404 1609 ms
Domain 'migrate' not found.

Expected results:
Should not display error message.

Additional info:
Comment 1 Clayton Coleman 2013-10-11 14:46:00 EDT
As designed (for now).  You'll need to specify something with -n.
Comment 2 weiwei jiang 2014-06-06 06:16:47 EDT
Reopen this issue for 
1. we support multiple domains
2. we aim to support multiple servers switch

So, when we do some operation on app under another app which not belong the same domain, the issue will be reproduced.
Comment 3 Jordan Liggitt 2014-06-06 13:50:39 EDT
Working as designed.

If you specify a domain on the command line, the command works.

If you do not specify a domain, RHC tries to figure out the domain from the environment, including the domain for the app repo of the current directory.

If you are in the repo directory of an app, and you want to use rhc to work with another app or domain, you have to provide the app or domain to rhc explicitly in the command line.

Note You need to log in before you can comment on or make changes to this bug.